<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=utf-8"%>

<% request.setAttribute("ctx", request.getContextPath()); %>

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
    <title>StrutsAjaxJson</title>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
    
    <script type="text/javascript" src="${ctx}/scripts/prototype.js"></script>
    <script type="text/javascript">
		function searchPerson() {
			var url = "${ctx}/person.do";
			new Ajax.Request(url, {
				parameters: {id: $('personId').value},
				onSuccess: function(transport, json) {
			        if (json.error) {
			           alert(json.error);
			        }
			        else {
			           $('lastName').innerHTML = json.lastname;
			           $('firstName').innerHTML = json.firstname;
			           $('adress').innerHTML = json.adress;
			        }
				}
			});
		}
	</script>
</head>

<body>
	
	<!-- champ de saisi de l'identifiant -->
	<input type="text" name="personId" id="personId"/>
	
	<!-- bouton qui permet de lancer la recherche AJAX -->
	<input type="button" name="submit" value="submit" onclick="searchPerson();"/>
	
	<!-- endroit où l'on va afficher les informations de l'utilisateur -->
	<div id="person">
	     <div id="lastName"></div>
	     <div id="firstName"></div>
	     <div id="adress"></div>
	</div>

</body>
</html>