package fr.geeks.presentation.action;

import java.util.HashMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import net.sf.json.JSONObject;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * @author benjamin_henique
 * 
 */
public class PersonAction extends Action {

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.apache.struts.action.Action#execute(org.apache.struts.action.ActionMapping, org.apache.struts.action.ActionForm,
	 * javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
	 */
	public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		String personId = request.getParameter("id"); // paramtre envoy dans la requte AJAX

		// Normalement c'est ici qu'on accde  la base afin de remplir une HashMap qui contiendrait toutes les informations de l'utilisateur
		/* VotreService.getPersonAsMap(personId); */

		// Nous remplissons en dur ici pour l'exemple
		HashMap hm = new HashMap();
		hm.put("firstname", "Bertrand");
		hm.put("lastname", "Blanchard");
		hm.put("adress", "Paris");

		// chaque cl de notre map devient une cl dans l'objet JSON (utilisation de Json-lib)
		JSONObject json = JSONObject.fromObject(hm);

		// faon d'envoyer l'objet JSON pour que Prototype puisse le rcuprer
		response.setHeader("X-JSON", json.toString());

		return null;
	}
}
